Bug 131985 - cannot eject CD-ROM (door locked) during early install
cannot eject CD-ROM (door locked) during early install
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2004-09-07 13:42 EDT by John Reiser
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 09:32:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-09-07 13:42:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
During early install from physical CD-ROM of
FC3-re0903.0-i386-disc1-ftp.iso, pushing the eject button on the
physical drive does not not eject the media; the door is locked.
This is a problem if bootable media was left in the drive accidentally
at the previous shutdown, and you don't want to boot from it.  Also,
it can defeat the trick of booting just to the "boot: " prompt,
switching media, and continuing with the new CD-ROM.  This can be a
handy work-around for bugs, bad media, etc.

The only way I could find to unlock the door and eject was to "boot:
linux text", enter the mediacheck phase, and use the Eject button in
the dialog.  (Probably "boot: linux mediacheck" would work, too.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Hard boot FC3-re0903.0-i386-disc1-ftp.iso from physical CD-ROM.
2. At the "boot: " prompt, push the eject button on the physical drive.

Actual Results:  Drive does not eject the media; the door is locked.

Expected Results:  Drive ejects the media.

Additional info:

In this case the drive is SAMSUNG DVD-ROM SD-816B, ATAPI CD/DVD-ROM.
Comment 1 Jeremy Katz 2004-09-07 14:52:16 EDT
Can you eject it with the test1 cd?  (So that I can bracket where this
changed in isolinux)
Comment 2 John Reiser 2004-09-07 15:10:15 EDT
Yes, booting from FC3-test1-i386-disc1 of 2004-07-14 allows eject at
the "boot: " prompt, by pushing the eject button on the physical drive.
Comment 3 Matthew Miller 2006-07-10 16:33:38 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-30 09:32:30 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.